import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    Professor emp = service.createProfessor(1, "empName", 100L);

    service.createParkingSpace(emp, 1, "location");

    System.out.println("Created " + emp);

    Collection<Professor> emps = service.findAllProfessors();
    if (emps.isEmpty()) {
      System.out.println("No Professors found ");
    } else {
      System.out.println("Found Professors:");
      for (Professor emp1 : emps) {
        System.out.println(emp1);
      }
    }

    Collection<ParkingSpace> pSpaces = service.findAllParkingSpaces();
    if (pSpaces.isEmpty()) {
      System.out.println("No ParkingSpaces found ");
    } else {
      System.out.println("Found ParkingSpaces:");
      for (ParkingSpace pSpace : pSpaces) {
        System.out.println(pSpace);
      }
    }

    util.checkData("select * from Professor");
    util.checkData("select * from ParkingSpace");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}